classification
Title: asyncio: Make transport.pause_reading()/resume_reading() idempotent; add transport.is_reading()
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-18 03:46 by yselivanov, last changed 2018-06-13 10:05 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4914 merged yselivanov, 2017-12-18 03:52
PR 7629 merged vstinner, 2018-06-11 11:54
Messages (3)
msg308509 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-12-18 03:46
As briefly discussed on https://github.com/python/asyncio/issues/488 and https://github.com/python/cpython/pull/528
msg308587 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-12-18 22:03
New changeset d757aaf9dd767d13205bf9917e520ebf43e7f6e5 by Yury Selivanov in branch 'master':
bpo-32356: idempotent pause_/resume_reading; new is_reading method. (#4914)
https://github.com/python/cpython/commit/d757aaf9dd767d13205bf9917e520ebf43e7f6e5
msg319444 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-13 10:05
New changeset 142e3c08a40c75b5788474b0defe7d5c0671f675 by Victor Stinner in branch '3.6':
[3.6] bpo-32356: idempotent pause_/resume_reading (GH-4914) (GH-7629)
https://github.com/python/cpython/commit/142e3c08a40c75b5788474b0defe7d5c0671f675
History
Date User Action Args
2018-06-13 10:05:18vstinnersetnosy: + vstinner
messages: + msg319444
2018-06-11 11:54:24vstinnersetpull_requests: + pull_request7248
2017-12-18 22:03:50yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-12-18 22:03:29yselivanovsetmessages: + msg308587
2017-12-18 03:52:32yselivanovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4808
2017-12-18 03:50:01yselivanovsetnosy: + asvetlov
2017-12-18 03:46:15yselivanovcreate